STRXFRM(3) | Library Functions Manual | STRXFRM(3)

# NAME

`strxfrm` —
transform a string under locale

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <string.h>`

size_t
`strxfrm`(char * restrict dst, const char * restrict src, size_t n);

# DESCRIPTION

The `strxfrm`() function does something horrible. The idea is to “un-localize” a string: the function transforms src, storing the result in dst, such that strcmp(3) on transformed strings returns what strcoll(3) on the original untransformed strings would return.

# SEE ALSO

bcmp(3), memcmp(3), strcasecmp(3), strcmp(3), strcoll(3)

# STANDARDS

The `strxfrm`() function conforms to ANSI X3.159-1989 (“ANSI C89”).

# BUGS

Since locales are not fully implemented on NetBSD, `strxfrm`() just returns a copy of the original string.

March 6, 2019 | NetBSD 9.5